# keystore/truststore constants
INCLUSTER_KEYSTORE_PATH = "/etc/ndr/store/keystore.p12"
INCLUSTER_TRUSTSTORE_PATH = "/etc/ndr/store/truststore.p12"
INCLUSTER_CA_PATH = "/etc/ndr/store/ca.crt"
EGRESS_KEYSTORE_PATH = "/etc/ndr/egress-store/egress-keystore.p12"

# API endpoints/hosts
CLUSTER_API_HOST = "cluster-api"
MONITOR_API_HOST = "monitor"
NSX_MANAGER_HOST = "external-nsx-manager"

# REST headers
BASE_HEADERS = {'Content-Type': 'application/json'}

# TABLE NAMES
KAFKA_OFFSET = "kafka_offset"

# Logging
FORMAT = '%(asctime)s %(levelname)s: %(message)s'
DATEFMT = '%m/%d/%Y %I:%M:%S %p'

VALID_LICENSE_LIST = [
    "VMware Firewall with Advanced Threat Prevention",
    "VMware Advanced Threat Prevention",
    "NSX Distributed Firewall with Advanced Threat Prevention",
    "NSX Advanced with Advanced Threat Prevention",
    "NSX Enterprise Plus with Advanced Threat Prevention",
    "NSX Firewall with Advanced Threat Prevention",
]


class Url:
    class InCluster:
        REGISTER_UI_PLUGIN_URL = "https://{service_host}:{service_port}/post-deployment"
        POST_REPORT_PRECHECK = "https://{service_host}:{service_port}/report/precheck"
        LIST_ALL_FEATURES = "https://{service_host}:{service_port}/list-all-features"
        GET_FEATURE_NDR_CONFIG = "https://{service_host}:{service_port}/features/ndr/config"
        GET_PLATFORM_STATUS = "https://{service_host}:{service_port}/api/v1/platform/monitor/platform/status"
        CAPACITY_URL = "https://{service_host}:{service_port}/features/ndr/capacity/validate"

    class Egress:
        SERVICE_DEFINITION_URL = "https://{service_host}:443/api/v1/serviceinsertion/services/".format(
            service_host=NSX_MANAGER_HOST)


class CheckStatus:
    SUCCESS = "SUCCESS"
    FAILED = "FAILED"
    WARNING = "WARNING"
    SKIPPED = "SKIPPED"
    INPROGRESS = "INPROGRESS"
    STOPPING = "STOPPING"
    STOPPED = "STOPPED"


class Feature:
    NDR = "ndr"


# Case should match response from Monitor API
class PlatformFormFactor:
    ADVANCED = "ADVANCED"
    STANDARD = "STANDARD"
    EVALUATION = "EVALUATION"


class PrecheckPlugin:
    LICENSE = "license"
    PLATFORM_TYPE = "platform_type"
    CAPACITY = "capacity"

