import os
import logging

from constants import CLUSTER_API_HOST
from constants import Url
from utils import requests_wrapper


def ui_plugin(unregister=False):
    try:
        # create request parameters
        cluster_api_port = os.environ["CLUSTER_API_SERVICE_PORT"]
        url = Url.InCluster.REGISTER_UI_PLUGIN_URL.format(
            service_host=CLUSTER_API_HOST,
            service_port=cluster_api_port)
        req_data = {
            "service_names": ["ndr"],
            "action": "unregister" if unregister else "register",
        }
        logging.info(
            "Calling NDR UI plugin {} API on cluster-api service".format(
                "unregister" if unregister else "register"
            )
        )
        requests_wrapper.incluster_request('POST', url, data=req_data)
    except Exception as e:
        logging.exception(e)
        raise

